Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml.dom
Class WMLCardElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.wml.dom.WMLElementImpl
                                    |
                                    +--weblogic.apache.wml.dom.WMLCardElementImpl

public class WMLCardElementImpl
extends WMLElementImpl
implements WMLCardElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLCardElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`WMLCardElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getId()`
`boolean` | `getNewContext()`
`java.lang.String` | `getOnEnterBackward()`
`java.lang.String` | `getOnEnterForward()`
`java.lang.String` | `getOnTimer()`
`boolean` | `getOrdered()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getXmlLang()`
`void` | `setClassName(java.lang.String newValue)`
`void` | `setId(java.lang.String newValue)`
`void` | `setNewContext(boolean newValue)`
`void` | `setOnEnterBackward(java.lang.String newValue)`
`void` | `setOnEnterForward(java.lang.String newValue)`
`void` | `setOnTimer(java.lang.String newValue)`
`void` | `setOrdered(boolean newValue)`
`void` | `setTitle(java.lang.String newValue)`
`void` | `setXmlLang(java.lang.String newValue)`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLCardElementImpl

    public WMLCardElementImpl(WMLDocumentImpl owner,
                              java.lang.String tagName)

Method Detail

### setOnTimer

    public void setOnTimer(java.lang.String newValue)

  Specified by:
    setOnTimer in interface WMLCardElement

### getOnTimer

    public java.lang.String getOnTimer()

  Specified by:
    getOnTimer in interface WMLCardElement

### setOrdered

    public void setOrdered(boolean newValue)

  Specified by:
    setOrdered in interface WMLCardElement

### getOrdered

    public boolean getOrdered()

  Specified by:
    getOrdered in interface WMLCardElement

### setOnEnterBackward

    public void setOnEnterBackward(java.lang.String newValue)

  Specified by:
    setOnEnterBackward in interface WMLCardElement

### getOnEnterBackward

    public java.lang.String getOnEnterBackward()

  Specified by:
    getOnEnterBackward in interface WMLCardElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Specified by:
    setXmlLang in interface WMLCardElement

  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLCardElement

  Overrides:
    getXmlLang in class WMLElementImpl

### setTitle

    public void setTitle(java.lang.String newValue)

  Specified by:
    setTitle in interface WMLCardElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLCardElement

### setNewContext

    public void setNewContext(boolean newValue)

  Specified by:
    setNewContext in interface WMLCardElement

### getNewContext

    public boolean getNewContext()

  Specified by:
    getNewContext in interface WMLCardElement

### setId

    public void setId(java.lang.String newValue)

  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setOnEnterForward

    public void setOnEnterForward(java.lang.String newValue)

  Specified by:
    setOnEnterForward in interface WMLCardElement

### getOnEnterForward

    public java.lang.String getOnEnterForward()

  Specified by:
    getOnEnterForward in interface WMLCardElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD